Package org.apache.sysds.runtime.iogen.template

## Class TemplateUtil.SplitInfo

- java.lang.Object
- - org.apache.sysds.runtime.iogen.template.TemplateUtil.SplitInfo

Enclosing class:
  TemplateUtil

    public static class TemplateUtil.SplitInfo
    extends Object

### Constructor Summary

Constructors
`SplitInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addIndexAndPosition​(Long beginIndex, Long endIndex, int beginPos, int endPos)`
`int` `getListSize()`
`int` `getNrows()`
`Long` `getRecordIndexBegin​(int index)`
`Long` `getRecordIndexEnd​(int index)`
`int` `getRecordPositionBegin​(int index)`
`int` `getRecordPositionEnd​(int index)`
`String` `getRemainString()`
`void` `setNrows​(int nrows)`
`void` `setRemainString​(String remainString)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SplitInfo

    public SplitInfo()

### Method Detail

#### addIndexAndPosition

    public void addIndexAndPosition​(Long beginIndex,
                                    Long endIndex,
                                    int beginPos,
                                    int endPos)

#### getNrows

    public int getNrows()

#### getListSize

    public int getListSize()

#### setNrows

    public void setNrows​(int nrows)

#### getRemainString

    public String getRemainString()

#### setRemainString

    public void setRemainString​(String remainString)

#### getRecordIndexBegin

    public Long getRecordIndexBegin​(int index)

#### getRecordIndexEnd

    public Long getRecordIndexEnd​(int index)

#### getRecordPositionBegin

    public int getRecordPositionBegin​(int index)

#### getRecordPositionEnd

    public int getRecordPositionEnd​(int index)